Lettre Suivie is a shipping service offered by La Poste that allows shipping domestically within France.
This guide provides developers with the details necessary to build Lettre Suivie shipping capabilities into their ShipStation API workflows.
| Property | Type | Description |
|---|---|---|
nickname | string | required |
contract_number | string | required |
cust_account_number | string | required |
client_id | string | optional |
client_secret | string | optional |
sales_channel | string | optional |
You can connect a Lettre Suivie account using the POST method to the /v1/connections/carriers/ endpoint. At this time, Lettre Suivie cannot be connected via the ShipStation API Dashboard.
carrier_name: la_poste_lettre_suivie
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/la_poste_lettre_suivie HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Lettre Suivie account",
"contract_number": "123456789",
"cust_account_number": "123abc",
"client_id": "987654",
"client_secret": "123xyz-lkj654"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Lettre Suivie sends rates to ShipStation API. However, rates do not include surcharges like fuel surcharge, insurance, home delivery, etc.
Available Lettre Suivie services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint.
| Service | Max. weight | API Code |
|---|---|---|
| B2C Standard Services | 3 kg | la_poste_lettre_suivie_b2c_std |
Lettre Suivie has the following maximum dimensions:
- Length: 14 cm
- Width: 9 cm
- Height: 3 cm
- The sum of all dimensions (L+W+H) must be less than 90 cm
Lettre Suivie does not currently support return services.
The following carrier package types are available for Lettre Suivie services:
| Name | API Code | Package Attributes |
|---|---|---|
| Package | la_poste_lettre_suivie_package | Domestic |
Adding shipment insurance is not supported for this carrier.
Review our Parcel Insurance page for details on adding our third-party shipment insurance with ShipStation API.
- Label sizes: 4" x 6"
- Label formats: PDF, PNG, ZPL
Lettre Suivie does not support any label reference fields.
Lettre Suivie does not support multi-package shipping.
Lettre Suivie supports adding a logo image to the label. Review our Create Custom Shipping Labels page for details on adding a logo to your ShipStation API account.
Lettre Suivie supports voiding labels with ShipStation API.
See our Void a Label page for details about voiding labels with ShipStation API.
Lettre Suivie does not support paperless labels.
Lettre Suivie does not support any delivery confirmation types.
Lettre Suivie does not currently support any advanced options or shipping of dangerous goods.
Lettre Suivie does not require or support creating manifests.
Lettre Suivie does not support scheduling pickups with ShipStation API.
Lettre Suivie does not support shipping to service points.
ShipStation API's integration with Lettre Suivie supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.